Plugin message d'instalation

3rd party code for phpList

Plugin message d'instalation

Postby fatimadev1 » 11:58am, Thu 19 Dec, 2013

I want to have an editor in phplist but accessing config / plugin, this message display

The root directory of the extension module prohibits writing, please install the plugins manually

I removed the # before define ('PLUGIN_ROOTDIR', 'plugins'); config_extended.php in the file, but nothing has been changed

Thank you for your answers
fatimadev1
phpLister
 
Posts: 5
Joined: 11:47am, Thu 19 Dec, 2013

Re: Plugin message d'instalation

Postby Dragonrider » 12:58pm, Thu 19 Dec, 2013

Have you renamed config_extended.php to config.php?
My sites:- http://wharfedalefestival.co.uk, http://ilkleygardeners.org.uk, http://emergencyaid.net, http://dragonrider.co.uk
Latest phpList version is now 3.0.12 (3 February 2015) and requires a minimum of MySQL 5.0 and PHP 5.3.x
Dragonrider
Moderator
 
Posts: 3460
Joined: 6:58am, Sun 02 Jul, 2006
Location: Ilkley, West Yorkshire, United Kingdom

Re: Plugin message d'instalation

Postby fatimadev1 » 2:09pm, Thu 19 Dec, 2013

no , I installed version 3.0.5 which contains the config file a config.php and config_extended.php
Last edited by fatimadev1 on 3:09pm, Thu 19 Dec, 2013, edited 1 time in total.
fatimadev1
phpLister
 
Posts: 5
Joined: 11:47am, Thu 19 Dec, 2013

Re: Plugin message d'instalation

Postby Dragonrider » 2:49pm, Thu 19 Dec, 2013

fatimadev1 wrote:no , I installed version 3.0.5 which contains the config file a config.php


Well, in your first post you seem to say you are using config_extended, so either rename config_extended.php to config.php and use that, or add the define ('PLUGIN_ROOTDIR', 'plugins'); line to your config.php file.

You can only use the one named config.php. config_extended.php is not used by phplist unless you rename it to config.php, FAQ's.
My sites:- http://wharfedalefestival.co.uk, http://ilkleygardeners.org.uk, http://emergencyaid.net, http://dragonrider.co.uk
Latest phpList version is now 3.0.12 (3 February 2015) and requires a minimum of MySQL 5.0 and PHP 5.3.x
Dragonrider
Moderator
 
Posts: 3460
Joined: 6:58am, Sun 02 Jul, 2006
Location: Ilkley, West Yorkshire, United Kingdom

Re: Plugin message d'instalation

Postby fatimadev1 » 3:14pm, Thu 19 Dec, 2013

thank you Dragonrider :) ,
My problem is solved by adding define ('PLUGIN_ROOTDIR', 'plugins') in config.php
Last edited by fatimadev1 on 5:20pm, Fri 20 Dec, 2013, edited 1 time in total.
fatimadev1
phpLister
 
Posts: 5
Joined: 11:47am, Thu 19 Dec, 2013


Return to Contributions: Plug-ins, Add-ons, Mods

Who is online

Users browsing this forum: No registered users and 1 guest

cron